Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361128 - rbd-mirror daemon is not getting automatically started after system reboot
Summary: rbd-mirror daemon is not getting automatically started after system reboot
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Documentation
Version: 2.0
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: rc
: 2.0
Assignee: Aron Gunn
QA Contact: kiran raje urs J
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-28 11:42 UTC by Tanay Ganguly
Modified: 2016-09-30 17:21 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-30 17:21:49 UTC


Attachments (Terms of Use)

Description Tanay Ganguly 2016-07-28 11:42:20 UTC
Description of problem:
After system reboot the mirror daemon process is not getting automatically started

Version-Release number of selected component (if applicable):
ceph version 10.2.2-27.el7cp

How reproducible:
Always

Steps to Reproduce:
1. Configure and Start the rbd-mirror daemon process by following the document.

https://access.qa.redhat.com/documentation/en/red-hat-ceph-storage/2/block-device-guide/#block_device_mirroring

systemctl start ceph-rbd-mirror@ceph.service 

Actual results:
Rbd Mirror Daemon, Not getting started after reboot

Expected results:
Rbd Mirror Daemon should started after reboot

Additional info:
All other Ceph process ( mon's ,osd's ) are automatically getting started.

Comment 2 Jason Dillaman 2016-07-28 11:55:04 UTC
The docs specify the following:

systemctl enable ceph-rbd-mirror@<client-id>
systemctl start ceph-rbd-mirror@<client-id>

The "start" command just starts the process immediately, so if you wish to start it on the next boot you would need to "enable" it.

Also, the format after the "@" is the client id (e.g. admin from client.admin).  Your "ceph.service" example is invalid.

Comment 3 Tanay Ganguly 2016-07-28 17:07:22 UTC
(In reply to Jason Dillaman from comment #2)
> The docs specify the following:
> 
> systemctl enable ceph-rbd-mirror@<client-id>
> systemctl start ceph-rbd-mirror@<client-id>
> 
> The "start" command just starts the process immediately, so if you wish to
> start it on the next boot you would need to "enable" it.
> 
> Also, the format after the "@" is the client id (e.g. admin from
> client.admin).  Your "ceph.service" example is invalid.


Jason,
I did enable the rbd mirror when i created the Cluster.
Do you mean after every reboot we need to again enable the service ?


I use systemctl status -l ceph-rbd-mirror@ceph, by mistake ceph.service was provided.

Comment 4 Jason Dillaman 2016-07-28 17:15:47 UTC
Try:

systemctl enable ceph-rbd-mirror.target in addition to systemctl enable ceph-rbd-mirror@<client-id>.

Comment 5 Tanay Ganguly 2016-07-29 06:04:30 UTC
Thanks Jason, it works.
 
@Doc Team:
We need to add the this:
systemctl enable ceph-rbd-mirror.target

Under Section:
3.  On both client hosts, enable and start the rbd-mirror daemon:

systemctl enable ceph-rbd-mirror@<client-id>
systemctl start ceph-rbd-mirror@<client-id>

Where <client-id> is a unique client ID for use by the rbd-mirror daemon. The client must have the appropriate cephx access to the cluster. For detailed information, see the User Management chapter in the Administration Guide for Red Hat Ceph Storage 2. 

Ref: https://access.qa.redhat.com/documentation/en/red-hat-ceph-storage/2/block-device-guide/#block_device_mirroring

So ideally the fix should be :
systemctl enable ceph-rbd-mirror.target
systemctl enable ceph-rbd-mirror@<client-id>
systemctl start ceph-rbd-mirror@<client-id>

Comment 7 Tanay Ganguly 2016-08-01 11:28:04 UTC
@Aron:
It looks a bit confusing,

# systemctl enable ceph-rbd-mirror.target
# systemctl enable ceph-rbd-mirror@master
# systemctl start ceph-rbd-mirror@slave

Can this example be either for Master or Slave, i.e.

# systemctl enable ceph-rbd-mirror.target
# systemctl enable ceph-rbd-mirror@master
# systemctl start ceph-rbd-mirror@master

OR

# systemctl enable ceph-rbd-mirror.target
# systemctl enable ceph-rbd-mirror@slave
# systemctl start ceph-rbd-mirror@slave

Comment 11 Tanay Ganguly 2016-08-02 06:03:35 UTC
Marking it as Verified


Note You need to log in before you can comment on or make changes to this bug.